<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.opentelemetry" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="service-name,endpoint,exporter-type,ratio,sampler-type,batch-delay,export-timeout,max-export-batch-size,max-queue-size,span-processor-type"/>
        <elem name="addr-params" value="profile,subsystem"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.opentelemetry"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.extension.opentelemetry.config"/>
        <capability name="$profile.org.wildfly.extension.opentelemetry"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.weld"/>
    </requires>
    <refs>
        <ref feature="extension" include="true"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="export-timeout" nillable="true" stability="default"/>
        <param name="extension" default="org.wildfly.extension.opentelemetry"/>
        <param name="span-processor-type" nillable="true" stability="default"/>
        <param name="sampler-type" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="opentelemetry"/>
        <param name="batch-delay" nillable="true" stability="default"/>
        <param name="exporter-type" nillable="true" stability="default"/>
        <param name="service-name" nillable="true" stability="default"/>
        <param name="endpoint" nillable="true" stability="default"/>
        <param name="max-export-batch-size" nillable="true" stability="default"/>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="max-queue-size" nillable="true" stability="default"/>
        <param name="ratio" nillable="true" stability="default"/>
    </params>
    <packages>
        <package name="org.wildfly.extension.opentelemetry"/>
    </packages>
</feature-spec>